Menu

## Footnotes_Layout_Init

init.php : 15

Handles the Settings interface of the Plugin.

##### Tags

since
  1.5.0

### Table of Contents

C_STR_MAIN_MENU_SLUG = 'footnotes'
  Slug for the Plugin main menu.
C_STR_MAIN_MENU_TITLE = 'ManFisher'
  Plugin main menu name.
$settings_page : array<string|int, mixed>
  Contains the settings layoutEngine
__construct() : mixed
  Class Constructor. Initializes all WordPress hooks for the Plugin Settings.
get_plugin_meta_information() : mixed
  AJAX call. returns a JSON string containing meta information about a specific WordPress Plugin.
initialize_settings() : mixed
  Registers the settings and initialises the settings page.
register_options_submenu() : mixed
  Registers the footnotes submenu page.

### Constants

#### C_STR_MAIN_MENU_SLUG

init.php : 23

Slug for the Plugin main menu.

`public string C_STR_MAIN_MENU_SLUG = 'footnotes'`

##### Tags

since
  1.5.0

#### C_STR_MAIN_MENU_TITLE

init.php : 31

Plugin main menu name.

`public string C_STR_MAIN_MENU_TITLE = 'ManFisher'`

##### Tags

since
  1.5.0

### Properties

#### $settings_page

init.php : 39

Contains the settings layoutEngine

`private array<string|int, mixed> $settings_page`

##### Tags

since
  1.5.0

### Methods

#### __construct()

init.php : 46

Class Constructor. Initializes all WordPress hooks for the Plugin Settings.

`public __construct() : mixed`

##### Tags

since
  1.5.0

##### Return values

mixed —

#### get_plugin_meta_information()

init.php : 91

AJAX call. returns a JSON string containing meta information about a specific WordPress Plugin.

`public get_plugin_meta_information() : mixed`

##### Tags

since
  1.5.0

##### Return values

mixed —

#### initialize_settings()

init.php : 62

Registers the settings and initialises the settings page.

`public initialize_settings() : mixed`

##### Tags

since
  1.5.0

##### Return values

mixed —

#### register_options_submenu()

init.php : 73

Registers the footnotes submenu page.

`public register_options_submenu() : mixed`

##### Tags

since
  1.5.0
see
  http://codex.wordpress.org/Function_Reference/add_menu_page

##### Return values

mixed —

## Search results